<?php
/**
* @version      $Id: website_customer_registration.php
* @package      Easyshop
* @copyright    Copyright (C) 2005 - 2011 TA-EDV
* @license      proprietary
* @author       Richard Kammermayer <rk@ta-edv.de>
* Easyshop is a web shop system
*/

include_once './core/news.class.php';

class website_news {
	private $base_object;
	private $layout_object;
	
	public function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->layout_object = $layout_object;
	}
		
	function run() {
		$news_object = new News($this->base_object);
		$list_data = $news_object->get_list();
		$this->layout_object->assign('news_list', $list_data);
		return $this->layout_object->_fetch('content_news.tpl');
	}
}